package com.ruoyi.system.service.check;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.check.TdCheckReport;
import com.ruoyi.system.domain.count.CheckResultCountDTO;
import com.ruoyi.system.domain.count.CheckTypeCountDTO;
import com.ruoyi.system.domain.place.TdPlace;

import java.util.List;

/**
* @author 13560
* @description 针对表【td_check_report(检查报告结果)】的数据库操作Service
* @createDate 2024-08-15 11:15:02
*/
public interface TdCheckReportService extends IService<TdCheckReport> {


    public List<TdCheckReport> selectTdCheckReportList(TdCheckReport tdCheckReport);

    public List<TdCheckReport> selectTdCheckResultList(TdCheckReport tdCheckReport);


    public CheckResultCountDTO selectResultCount();

    public CheckTypeCountDTO selectTypeCount();

}
