package com.ruoyi.system.domain.userexam.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * packageName com.ruoyi.system.domain.userexam.dto.response
 *
 * @author wangxy
 * @version JDK 8
 * @className NotifyCountDTO
 * @date 2024/8/9
 * @description 通知统计
 */
@Data
@ApiModel(value="通知统计", description="通知统计")
public class NotifyCountDTO implements Serializable {


    @ApiModelProperty(value = "总数")
    private  Integer total;

    @ApiModelProperty(value = "已发出")
    private  Integer yfc;

    @ApiModelProperty(value = "未发出")
    private  Integer wfc;
}
